<?php
/**
 * @file form functions for the date_repeat_sequence module
 */
/**
 * Validates all date repeat fileds and creates values for use on submit
 */
function _date_repeat_sequence_validate($element, &$form_state) {
  $values = $form_state['values'];
  
  $field_name = $element['#field_name'];
  $values = $values[$field_name];
  //save only the first value in the date field we will create all the other nodes on submit.
  $value[] = array_shift($values);

  form_set_value($element, $value, $form_state);
  $sequence = array('#parents' => array('date_repeat_sequence', $field_name));
  form_set_value($sequence, $values, $form_state); 
}

/**
 * Generate the FORM API edit options that are part of the fields on date repeat sequence nodes
 * 
 * @return
 *   The FORM API array fr the buttons
 */
function _date_repeat_sequence_edit_options($field) {
  $field_name = $field['field_name'];
  $options = array(
    'only' =>  t('Only this occurance'),
    'future' => t('This and all future occurances'),
    'all' => t('All occurences'),
  );
  return array(
    '#weight' => 100,
    'options' => array(
      '#type' => 'radios',
      '#title' => t('Sequence editing options'),
      '#options' => $options,
      '#parents' => array('date_repeat_sequence_edit', "{$field_name}"),
      '#default_value' => empty($field['widget']['sequence']['edit_default']) ? 'all' : $field['widget']['sequence']['edit_default'],
      '#required' => TRUE,
      '#attributes' => array('class' => 'sequence-save-options seq-save-'.$field_name),
    ),
  );
}